from setuptools import setup, find_packages

with open("README_ja.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="EphemeralDB",
    version="0.1.0",
    author="tikisan",
    author_email="s2501082@sendai-nct.jp",
    description="A lightweight volatile context management store for Python",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/tikipiya/EphemeralDB",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "Topic :: Database",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
    python_requires=">=3.7",
    install_requires=[],
    extras_require={
        "dev": [
            "pytest>=6.0",
            "pytest-cov>=2.0",
            "black>=21.0",
            "isort>=5.0",
            "flake8>=3.8",
            "mypy>=0.910",
        ],
    },
    keywords="database, memory, context, scope, ephemeral, volatile",
)